#!/bin/bash
#
# Last update: 2023.2.13
# URL : https://docs.cloudlinux.com/index.html?apache_mod_lsapi.html

# 安裝套件
yum install ea-apache24-mod_lsapi -y

# 安裝 lsapi 主套件
/usr/local/cpanel/bin/apache_conf_distiller --store-data --defaults
touch /var/cpanel/conf/apache/success
/usr/bin/switch_mod_lsapi --setup

# 取得目前主機 php版本 名稱，輸出列表至文件
/usr/local/cpanel/bin/rebuild_phpconf --available | awk -F: '{print $1}' > /tmp/php_list

# 於每一行前面加上--符號，後面加上 =lsapi
cat /tmp/php_list | sed 's/^/--&/g' | sed 's/$/&=lsapi/g' > /tmp/php_list2

# 將 /tmp/php_list2 變成 arry 陣列
mapfile arry < /tmp/php_list2

# 使用 for 將每個版本 Handlers 改成 lsapi
for ((i=0; i < ${#arry[@]}; i++))
do
/usr/local/cpanel/bin/rebuild_phpconf ${arry[${i}]}
done

# 刪除暫存檔
rm -f /tmp/php_list
rm -f /tmp/php_list2

# WHM »Service Configuration »Apache Configuration »Include Editor »Post VirtualHost Include 選 All Versions，增加以下設定
/usr/bin/cat <<EOF >> /usr/local/apache/conf/includes/post_virtualhost_global.conf
<IfModule lsapi_module>
lsapi_enable_user_ini On
</IfModule>
EOF
/scripts/rebuildhttpdconf
/scripts/restartsrv_httpd

